%define name	prosper-online
%define version	0.1
%define release	3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Prosper-style presentation HTML converter
Group:		Publishing
License:	GPL
URL:		http://perso.club-internet.fr/albannay/prosper/prosper-online/
Source:		http://perso.club-internet.fr/albannay/prosper/prosper-online/%{name}.tar.bz2
Patch0:		%{name}-%{version}.path.patch.bz2
Patch1:		%{name}-%{version}.detex.patch.bz2
Requires:	tetex-latex
Requires:	tetex-dvips
Requires:	ImageMagick
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Prosper-online (in conjunction with Prosper-make) allows you to make your
Prosper presentation available for consultation from the Web.

Prosper-online offers you several options to customize the visual aspect of the
html output:

    * differents styles are provided,
    * the presentation can be in color or in black & with,
    * incremental display can be enabled or disabled,
    * possibility to add a caption at the bottom of every slide,
    * slides can have the size that you want.

%prep
%setup -q -n %{name}
%patch0
%patch1
find . -name .*.swp -exec rm -f {} \;

%build

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 generate-online %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_datadir}
cp -ar online-templates %{buildroot}%{_datadir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS Changelog COPYING example.tex README
%{_bindir}/generate-online
%{_datadir}/%{name}

%changelog
* Sat Jun 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-3mdk 
- rebuild
- spec cleanup

* Thu May 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-2mdk
- rediff patch0
- detex patch

* Thu May 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-1mdk
- first mdk release
